import greenfoot.*;

/**
 * A Skit is a short animation that is played over multiple act cycles 
 * that does not interrupt the flow of the program. Skits are made up of
 * multiple Scenes. After a certian number of act cycles has passed, the
 * picture in the Scene will be set as the Actor's picture.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Skit  
{
    /**
     * The ID of this Skit, used for easy access.
     */
    private String id;
    
    /**
     * The Scenes that are played in this Skit, collectively known as the Script
     */
    private Scene[] script;
    
    /**
     * Create a new Skit from a script and an ID
     * 
     * @param script The script that this Skit follows
     * @param ID The identification of this Skit
     */
    public Skit(Scene[] script, String ID)
    {
        id = ID;
        this.script = script;
    }
    
    /**
     * Gets the ID of this Skit
     * 
     * @return The ID of this Skit
     */
    public String getID()
    {
        return id;
    }
    
    /**
     * Gets the script for this Skit
     * 
     * @return The script contained within this Skit
     */
    public Scene[] getScript()
    {
        return script;
    }
}
